Class SubnetworkAggregatedList.Builder (1.88.0)

public static final class SubnetworkAggregatedList.Builder extends GeneratedMessageV3.Builder<SubnetworkAggregatedList.Builder> implements SubnetworkAggregatedListOrBuilder

Protobuf type google.cloud.compute.v1.SubnetworkAggregatedList

Static Methods

getDescriptor()

public static final Descriptors.Descriptor getDescriptor()
Returns
Type Description
Descriptor

Methods

addAllUnreachables(Iterable<String> values)

public SubnetworkAggregatedList.Builder addAllUnreachables(Iterable<String> values)

[Output Only] Unreachable resources.

repeated string unreachables = 243372063;

Parameter
Name Description
values Iterable<String>

The unreachables to add.

Returns
Type Description
SubnetworkAggregatedList.Builder

This builder for chaining.

addRepeatedField(Descriptors.FieldDescriptor field, Object value)

public SubnetworkAggregatedList.Builder addRepeatedField(Descriptors.FieldDescriptor field, Object value)
Parameters
Name Description
field FieldDescriptor
value Object
Returns
Type Description
SubnetworkAggregatedList.Builder
Overrides

addUnreachables(String value)

public SubnetworkAggregatedList.Builder addUnreachables(String value)

[Output Only] Unreachable resources.

repeated string unreachables = 243372063;

Parameter
Name Description
value String

The unreachables to add.

Returns
Type Description
SubnetworkAggregatedList.Builder

This builder for chaining.

addUnreachablesBytes(ByteString value)

public SubnetworkAggregatedList.Builder addUnreachablesBytes(ByteString value)

[Output Only] Unreachable resources.

repeated string unreachables = 243372063;

Parameter
Name Description
value ByteString

The bytes of the unreachables to add.

Returns
Type Description
SubnetworkAggregatedList.Builder

This builder for chaining.

build()

public SubnetworkAggregatedList build()
Returns
Type Description
SubnetworkAggregatedList

buildPartial()

public SubnetworkAggregatedList buildPartial()
Returns
Type Description
SubnetworkAggregatedList

clear()

public SubnetworkAggregatedList.Builder clear()
Returns
Type Description
SubnetworkAggregatedList.Builder
Overrides

clearField(Descriptors.FieldDescriptor field)

public SubnetworkAggregatedList.Builder clearField(Descriptors.FieldDescriptor field)
Parameter
Name Description
field FieldDescriptor
Returns
Type Description
SubnetworkAggregatedList.Builder
Overrides

clearId()

public SubnetworkAggregatedList.Builder clearId()

[Output Only] Unique identifier for the resource; defined by the server.

optional string id = 3355;

Returns
Type Description
SubnetworkAggregatedList.Builder

This builder for chaining.

clearItems()

public SubnetworkAggregatedList.Builder clearItems()
Returns
Type Description
SubnetworkAggregatedList.Builder

clearKind()

public SubnetworkAggregatedList.Builder clearKind()

[Output Only] Type of resource. Always compute#subnetworkAggregatedList for aggregated lists of subnetworks.

optional string kind = 3292052;

Returns
Type Description
SubnetworkAggregatedList.Builder

This builder for chaining.

clearNextPageToken()

public SubnetworkAggregatedList.Builder clearNextPageToken()

[Output Only] This token allows you to get the next page of results for list requests. If the number of results is larger than maxResults, use the nextPageToken as a value for the query parameter pageToken in the next list request. Subsequent list requests will have their own nextPageToken to continue paging through the results.

optional string next_page_token = 79797525;

Returns
Type Description
SubnetworkAggregatedList.Builder

This builder for chaining.

clearOneof(Descriptors.OneofDescriptor oneof)

public SubnetworkAggregatedList.Builder clearOneof(Descriptors.OneofDescriptor oneof)
Parameter
Name Description
oneof OneofDescriptor
Returns
Type Description
SubnetworkAggregatedList.Builder
Overrides
public SubnetworkAggregatedList.Builder clearSelfLink()

[Output Only] Server-defined URL for this resource.

optional string self_link = 456214797;

Returns
Type Description
SubnetworkAggregatedList.Builder

This builder for chaining.

clearUnreachables()

public SubnetworkAggregatedList.Builder clearUnreachables()

[Output Only] Unreachable resources.

repeated string unreachables = 243372063;

Returns
Type Description
SubnetworkAggregatedList.Builder

This builder for chaining.

clearWarning()

public SubnetworkAggregatedList.Builder clearWarning()

[Output Only] Informational warning message.

optional .google.cloud.compute.v1.Warning warning = 50704284;

Returns
Type Description
SubnetworkAggregatedList.Builder

clone()

public SubnetworkAggregatedList.Builder clone()
Returns
Type Description
SubnetworkAggregatedList.Builder
Overrides

containsItems(String key)

public boolean containsItems(String key)

A list of SubnetworksScopedList resources.

map<string, .google.cloud.compute.v1.SubnetworksScopedList> items = 100526016;

Parameter
Name Description
key String
Returns
Type Description
boolean

getDefaultInstanceForType()

public SubnetworkAggregatedList getDefaultInstanceForType()
Returns
Type Description
SubnetworkAggregatedList

getDescriptorForType()

public Descriptors.Descriptor getDescriptorForType()
Returns
Type Description
Descriptor
Overrides

getId()

public String getId()

[Output Only] Unique identifier for the resource; defined by the server.

optional string id = 3355;

Returns
Type Description
String

The id.

getIdBytes()

public ByteString getIdBytes()

[Output Only] Unique identifier for the resource; defined by the server.

optional string id = 3355;

Returns
Type Description
ByteString

The bytes for id.

getItems() (deprecated)

public Map<String,SubnetworksScopedList> getItems()

Use #getItemsMap() instead.

Returns
Type Description
Map<String,SubnetworksScopedList>

getItemsCount()

public int getItemsCount()

A list of SubnetworksScopedList resources.

map<string, .google.cloud.compute.v1.SubnetworksScopedList> items = 100526016;

Returns
Type Description
int

getItemsMap()

public Map<String,SubnetworksScopedList> getItemsMap()

A list of SubnetworksScopedList resources.

map<string, .google.cloud.compute.v1.SubnetworksScopedList> items = 100526016;

Returns
Type Description
Map<String,SubnetworksScopedList>

getItemsOrDefault(String key, SubnetworksScopedList defaultValue)

public SubnetworksScopedList getItemsOrDefault(String key, SubnetworksScopedList defaultValue)

A list of SubnetworksScopedList resources.

map<string, .google.cloud.compute.v1.SubnetworksScopedList> items = 100526016;

Parameters
Name Description
key String
defaultValue SubnetworksScopedList
Returns
Type Description
SubnetworksScopedList

getItemsOrThrow(String key)

public SubnetworksScopedList getItemsOrThrow(String key)

A list of SubnetworksScopedList resources.

map<string, .google.cloud.compute.v1.SubnetworksScopedList> items = 100526016;

Parameter
Name Description
key String
Returns
Type Description
SubnetworksScopedList

getKind()

public String getKind()

[Output Only] Type of resource. Always compute#subnetworkAggregatedList for aggregated lists of subnetworks.

optional string kind = 3292052;

Returns
Type Description
String

The kind.

getKindBytes()

public ByteString getKindBytes()

[Output Only] Type of resource. Always compute#subnetworkAggregatedList for aggregated lists of subnetworks.

optional string kind = 3292052;

Returns
Type Description
ByteString

The bytes for kind.

getMutableItems() (deprecated)

public Map<String,SubnetworksScopedList> getMutableItems()

Use alternate mutation accessors instead.

Returns
Type Description
Map<String,SubnetworksScopedList>